#!/bin/bash

set -e

version=$1

if [ -z "$version" ]; then
    echo "Error: No version specified"
    exit 1
fi

upstream="https://github.com/FairRootGroup/FairSoft.git"
cxx_std="17"
build_type="RelWithDebInfo"
packages="boost root fmt"
install_dir="/opt/cbm/fairsoft"

git clone -b $version $upstream FairSoft
cd FairSoft

cmake_defs=" \
    -DCMAKE_CXX_STANDARD=$cxx_std \
    -DCMAKE_BUILD_TYPE=$build_type \
    -DCMAKE_INSTALL_PREFIX=$install_dir \
"

cmake -S . -B build $cmake_defs
cmake --build build -j$(nproc) --target $packages

# Cleanup
cd ..
rm -rf FairSoft
