#!/bin/bash

set -e

ROCM_VERSION="5.4"
ROCM_PACKAGES="rocm-hip-runtime5.4" # Need to add version suffix, why??

export DEBIAN_FRONTEND=noninteractive

apt-get update
apt-get -y upgrade

apt-get -y install --no-install-recommends ca-certificates curl libnuma-dev gnupg
curl -sL https://repo.radeon.com/rocm/rocm.gpg.key | apt-key add -
printf "deb [arch=amd64] https://repo.radeon.com/rocm/apt/$ROCM_VERSION/ jammy main" | tee /etc/apt/sources.list.d/rocm.list
# printf "deb [arch=amd64] https://repo.radeon.com/amdgpu/$AMDGPU_VERSION/ubuntu jammy main" | tee /etc/apt/sources.list.d/amdgpu.list

apt-get update
apt-get -y install --no-install-recommends $ROCM_PACKAGES

apt-get -y clean
rm -rf /var/lib/apt/lists/*

# Remove LLVM to save space
rm -rf /opt/rocm/llvm
