/* Copyright (C) 2023 FIAS Frankfurt Institute for Advanced Studies, Frankfurt / Main
   SPDX-License-Identifier: GPL-3.0-only
   Authors: Felix Weiglhofer [committer] */
#pragma once

#include "CbmTofDigi.h"

#include <gsl/span>
#include <memory>

#include "Hitfind.h"
#include "HitfindSetup.h"
#include "SubChain.h"

namespace cbm::algo::tof
{

  class HitfinderChain : public SubChain {

  public:
    using ReturnType = Hitfind::resultType;

    HitfinderChain()  = default;
    ~HitfinderChain() = default;

    void Init();

    /**
     * @brief Run the hitfinder and apply time calibration to digis
     */
    ReturnType Run(gsl::span<CbmTofDigi> digis);

  private:
    std::unique_ptr<Hitfind> fHitfind;
  };

}  // namespace cbm::algo::tof
